Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.da.taxonomy.portal
Class CommunityDefinitionTaxonomy

    java.lang.Object
      com.bea.p13n.delegation.taxonomy.ParentedTaxonomyBuilder
          com.bea.portal.tools.da.taxonomy.portal.DesktopTaxonomy
              com.bea.portal.tools.da.taxonomy.portal.CommunityDefinitionTaxonomy

All Implemented Interfaces
  TaxonomyBuilder, Serializable

    public class CommunityDefinitionTaxonomy

extends com.bea.portal.tools.da.taxonomy.portal.DesktopTaxonomy

Taxonomy for a CommunityDefinition, which is parented by a CommunitiesTaxonomy. CommunityDefinition taxonomies are based on the desktop definition id of their associated Desktop and the name of the webap that contains them.

See Also
  Serialized Form

Field Summary

Fields inherited from interface com.bea.p13n.delegation.taxonomy.TaxonomyBuilder
`TAXONOMY_DELIMITER`

Constructor Summary
`CommunityDefinitionTaxonomy(CommunitiesTaxonomy parentTaxonomy, DesktopDefinitionId commDeskDefId, String webApp)` Constructs a CommunityDefinition taxonomy that is parented by a containing Communities taxonomy.

Method Summary
`protected String` | `getLeafTaxonomy()` Method that individual `ParentedTaxonomyBuilder` implementations implement to provide the leaf portion of their taxonomy, which will in most cases be directed derived from the resource they represent.

Methods inherited from class com.bea.portal.tools.da.taxonomy.portal.DesktopTaxonomy
`getDesktopTaxonomyNodeId`

Methods inherited from class com.bea.p13n.delegation.taxonomy.ParentedTaxonomyBuilder
`buildTaxonomy, getParentTaxonomy, getTaxonomyLevel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommunityDefinitionTaxonomy

    public CommunityDefinitionTaxonomy(CommunitiesTaxonomy parentTaxonomy,
                                       DesktopDefinitionId commDeskDefId,
                                       String webApp)

  Constructs a CommunityDefinition taxonomy that is parented by a containing Communities taxonomy.

  Parameters
    `parentTaxonomy` - the parent CommunitiesTaxonomy
    `commDeskDefId` - the definitionId of the communities desktop
    `webApp` - the name of the webapp containing the CommunityDefinition

Method Detail

### getLeafTaxonomy

    protected String getLeafTaxonomy()

  Description copied from class: `ParentedTaxonomyBuilder`
  Method that individual `ParentedTaxonomyBuilder` implementations implement to provide the leaf portion of their taxonomy, which will in most cases be directed derived from the resource they represent.

  Specified by:
    `getLeafTaxonomy` in class `ParentedTaxonomyBuilder`
  Returns

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.